summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorRonny Lorenz2016-01-25 08:07:55 +0100
committerRonny Lorenz2016-01-25 08:07:55 +0100
commit7edec1af20648c8f162d2eeee220333dfc47cd92 (patch)
treee071bdf2061e2f8b85aa60c1b31f833fc5d89f2e /PKGBUILD
parent6aba361644141b547657ae0db3af6b226e8fe4bd (diff)
downloadaur-7edec1af20648c8f162d2eeee220333dfc47cd92.tar.gz
Bump to version 2.2.0
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD27
1 files changed, 14 insertions, 13 deletions
diff --git a/PKGBUILD b/PKGBUILD
index cdc726ded2e..6912f3f901f 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,37 +1,38 @@
# Maintainer: Ronny Lorenz <ronny at tbi dot univie dot ac dot at>
pkgname=viennarna
-pkgver=2.1.9
+pkgver=2.2.0
pkgrel=1
pkgdesc="RNA Secondary Structure Prediction and Comparison"
arch=('x86_64' 'i686')
license=('Custom')
url="http://www.tbi.univie.ac.at/RNA"
-depends=('perl')
-optdepends=('python2: python2 interface to the RNAlib'
- 'ruby: ruby interface to the RNAlib'
+depends=( 'perl'
+ 'python2')
+optdepends=('gsl: use a variety of optimization methods in RNApvmin'
'gri: create 2D plots of secondary structure landscape with RNA2Dfold')
conflicts=('viennarna')
-makedepends=()
-provides=('Kinfold=1.3' 'RNAforester=1.5' "viennarna2=${pkgver}")
-source=(http://www.tbi.univie.ac.at/RNA/packages/source/ViennaRNA-${pkgver}b.tar.gz)
+makedepends=( 'libtool'
+ 'check')
+provides=('Kinfold=1.3' 'RNAforester=2.0' "viennarna2=${pkgver}")
+source=(http://www.tbi.univie.ac.at/RNA/packages/source/ViennaRNA-${pkgver}.tar.gz)
-options=('staticlibs')
-md5sums=('24f3a56a4cea90672978c2e6580d5c71')
+options=('staticlibs' '!strip')
+sha256sums=('45ba1b3a43854c05d3dfc789120d9ae563d17a9716963f9086ff7f521c9057b1')
build() {
- cd "${srcdir}/ViennaRNA-${pkgver}b"
- ./configure --with-cluster --prefix=/usr || return 1
+ cd "${srcdir}/ViennaRNA-${pkgver}"
+ ./configure --with-cluster --prefix=/usr PYTHON_VERSION=2 || return 1
make || return 1
}
check() {
- cd "$srcdir/ViennaRNA-${pkgver}b"
+ cd "$srcdir/ViennaRNA-${pkgver}"
make check
}
package() {
- cd "${srcdir}/ViennaRNA-${pkgver}b"
+ cd "${srcdir}/ViennaRNA-${pkgver}"
make DESTDIR="${pkgdir}" install || return 1
install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/LICENSE"